Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034130
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2016-09-29 14:162016-10-05 19:35
ReporterngarciaView Statuspublic 
Assigned Toaferraz 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revision3d435a4c1794
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034130: Costing Migration Process takes too long with big amount of records in m_transaction table

DescriptionCosting Migration Process takes too long with big amount of records in m_transaction table

In an environment with 3300000 records in the m_transaction it lasted 40 hours
Steps To ReproduceIn an environment without the new costing engine (previous to 3.0MP13) and a big quantity of transactions (e.g. 1500000)
As system admin role:
   Upgrade it to the last version
   Launch the Costing Migration process
   Check its first launch takes too long
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0030451 closedaferraz Performance Problems on the Costing Migration Process 
related to defect 0035959 closedmarkmm82 Performance problem in Costing Migration Process with high volume of records in m_transaction table 
related to defect 0036675 closedmarkmm82 [Costing Migration Process]: Transactions related with closing inventory lines do not have an entry in Transaction Cost tab 

-  Notes
(0090433)
hgbot (developer)
2016-09-30 14:13

Repository: erp/devel/pi
Changeset: 3d435a4c1794c15ab3f778c5e182c8d34a7a1e93
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Sep 22 17:37:16 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3d435a4c1794c15ab3f778c5e182c8d34a7a1e93 [^]

Fixes issue 34130: Performance problem in Costing Migration process

- Remove unneeded sql functions registration.
- Move cost reset in m_transaction and m_transaction_cost to new resetTransactionCosts method.
- Run resetTransactionCosts(), fixLegacyCostingCurrency(), updateWithZeroCostRemainingTrx(), insertTrxCosts() and insertStandardCosts() methods without triggers.
- Avoid loop in fixLegacyCostingCurrency() method and make the update with one query per client.
- Avoid loop in updateWithZeroCostRemainingTrx() method and make the update with one query per legal.
- Avoid innecessary join with ad_user table in insertTrxCosts() and insertStandardCosts() methods.

---
M src/org/openbravo/costing/CostingMigrationProcess.java
---
(0090434)
hgbot (developer)
2016-09-30 14:13

Repository: erp/devel/pi
Changeset: e0f24c050e4a1d3934cd78c88dead168d8c30b8b
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri Sep 30 14:12:43 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e0f24c050e4a1d3934cd78c88dead168d8c30b8b [^]

Related to issue 34130: Do not remove sql functions registering

---
M src/org/openbravo/costing/CostingMigrationProcess.java
---
(0090501)
hudsonbot (developer)
2016-10-05 19:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9f948cce366c [^]
Maturity status: Test
(0090502)
hudsonbot (developer)
2016-10-05 19:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9f948cce366c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-09-29 14:16 ngarcia New Issue
2016-09-29 14:16 ngarcia Assigned To => Triage Finance
2016-09-29 14:16 ngarcia Modules => Core
2016-09-29 14:16 ngarcia Triggers an Emergency Pack => No
2016-09-29 14:17 ngarcia Summary Costing Migration Process lasts too long with big amount of records in m_transaction table => Costing Migration Process takes too long with big amount of records in m_transaction table
2016-09-29 14:17 ngarcia Description Updated View Revisions
2016-09-29 14:17 ngarcia Relationship added related to 0030451
2016-09-29 17:53 aferraz Status new => scheduled
2016-09-29 17:53 aferraz Assigned To Triage Finance => aferraz
2016-09-30 14:13 hgbot Checkin
2016-09-30 14:13 hgbot Note Added: 0090433
2016-09-30 14:13 hgbot Status scheduled => resolved
2016-09-30 14:13 hgbot Resolution open => fixed
2016-09-30 14:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3d435a4c1794c15ab3f778c5e182c8d34a7a1e93 [^]
2016-09-30 14:13 hgbot Checkin
2016-09-30 14:13 hgbot Note Added: 0090434
2016-09-30 14:13 aferraz Review Assigned To => dmiguelez
2016-09-30 14:13 aferraz Status resolved => closed
2016-09-30 14:13 aferraz Fixed in Version => 3.0PR16Q4
2016-10-05 19:35 hudsonbot Checkin
2016-10-05 19:35 hudsonbot Note Added: 0090501
2016-10-05 19:35 hudsonbot Checkin
2016-10-05 19:35 hudsonbot Note Added: 0090502
2017-05-09 12:30 aferraz Relationship added related to 0035959
2017-08-23 15:06 aferraz Relationship added related to 0036675


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker